<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="A front-end template that helps you build fast, modern mobile web apps.">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
        <title>Rega Dashboard - History</title>

        <link rel="apple-touch-icon" sizes="180x180" href="images/apple-touch-icon.png">
        <link rel="icon" type="image/png" sizes="32x32" href="images/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="images/favicon-16x16.png">
        <link rel="manifest" href="/site.webmanifest">

        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:regular,bold,italic,thin,light,bolditalic,black,medium&amp;lang=en">
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
        <link rel="stylesheet" href="libs/material.cyan-light_blue.min.css">
        <link rel="stylesheet" href="styles/styles.css">

        <link rel="stylesheet" href="libs/leaflet.css" />
        <script src="libs/leaflet.js"></script>
        <script src="libs/papaparse.min.js"></script>
        <script src="https://d3js.org/d3.v3.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.13.5/xlsx.full.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.13.5/jszip.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

        <link rel="stylesheet" href="styles/history.css" />
    </head>
    <body>
        <div class="demo-layout mdl-layout mdl-js-layout mdl-layout--fixed-drawer mdl-layout--fixed-header">
            <header class="demo-header mdl-layout__header mdl-color--grey-100 mdl-color-text--grey-600">
                <div class="mdl-layout__header-row">
                    <span class="mdl-layout-title">History</span>
                    <div class="mdl-layout-spacer"></div>
                </div>
            </header>
            <div class="demo-drawer mdl-layout__drawer mdl-color--blue-grey-900 mdl-color-text--blue-grey-50">
                <nav class="demo-navigation mdl-navigation mdl-color--blue-grey-800">
                    <a class="mdl-navigation__link" href="history.html"><i class="mdl-color-text--blue-grey-400 material-icons" role="presentation">history</i>History</a>
                    <a class="mdl-navigation__link" href="prediction.html"><i class="mdl-color-text--blue-grey-400 material-icons" role="presentation">mediation</i>Prediction</a>
                    <div class="mdl-layout-spacer"></div>
                </nav>
            </div>
            <main class="mdl-layout__content mdl-color--grey-100">
                <div class="mdl-grid demo-content">
                    <div style="display: block; padding: 0" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
                        <div style="width: 200px; margin: 0 20px; padding: 12px 0;" class="mdl-textfield mdl-js-textfield mdl-textfield--file">
                            <input class="mdl-textfield__input" placeholder="Select .xlsx data file..." type="text" readonly>
                            <div style="bottom: 12px;" class="mdl-button mdl-button--icon mdl-button--file">
                                <i class="material-icons">attach_file</i>
                                <input type="file" name="file upload" id="uploadfile" onchange="read_xlsx()">
                            </div>
                        </div>
                    </div>
                </div>

                <div style="margin-top: -22px;" class="mdl-grid demo-content">
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--3-col mdl-card">
                        <div class="mdl-tabs mdl-js-tabs mdl-js-ripple-effect">
                            <div class="mdl-tabs__tab-bar">
                                <a href="#einsatzmittel-panel" class="mdl-tabs__tab is-active">Helis</a>
                                <a href="#stichworte-panel" class="mdl-tabs__tab">Stichworte</a>
                                <a href="#timeframe-panel" class="mdl-tabs__tab">Zeit</a>
                            </div>

                            <div class="mdl-tabs__panel is-active" id="einsatzmittel-panel">
                                <div id="einsatzmittelSelection" class="mdl-card__supporting-text">
                                    <!-- checkboxes are inserted via script below -->
                                </div>
                            </div>
                            <div class="mdl-tabs__panel" id="stichworte-panel">
                                <div id="stichwortSelection" class="mdl-card__supporting-text">
                                    <!-- checkboxes are inserted via script below -->
                                </div>
                            </div>
                            <div class="mdl-tabs__panel" id="timeframe-panel">
                                <div id="timeframeSelection" class="mdl-card__supporting-text">
                                    <div class="mdl-grid">
                                        <label class="mdl-cell mdl-cell--3-col" for="date-from">Von:</label>
                                        <input class="mdl-cell mdl-cell--9-col" type="date" id="date-from" name="date-from">
                                        <label class="mdl-cell mdl-cell--3-col" for="date-until">Bis:</label>
                                        <input class="mdl-cell mdl-cell--9-col" type="date" id="date-until" name="date-until">
                                        <button class="mdl-button mdl-js-button mdl-button--raised mdl-button--colored" style="margin-top: 1.5em" onclick="dateSelected()">Anwenden</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--9-col mdl-grid">
                        <div id="map"></div>
                    </div>
                </div>

                <div style="margin-top: -16px;" class="mdl-grid demo-content">
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--6-col mdl-grid">
                        <div id="plot-time_t1"></div>
                    </div>
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--6-col mdl-grid">
                        <div id="plot-time_t2"></div>
                    </div>
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--6-col mdl-grid">
                        <div id="plot-time_patient"></div>
                    </div>
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--6-col mdl-grid">
                        <div id="plot-time_distribution"></div>
                    </div>
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
                        <div id="plot-time_line"></div>
                    </div>
                </div>
            </main>
        </div>

        <script src="libs/material.min.js"></script>
        <script src="javascript/history.js"></script>
    </body>
</html>
